Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.core
Interface Initialization

All Known Subinterfaces:
  Advertisement, Capability, Configuration, CorrelatableProperties, Description, Entry, GetCapability, Identity, ImmediateTermination, ManageabilityCapability, ManageabilityCharacteristics, MetadataExchange, Metrics, NotificationConsumer, NotificationProducer, OperationalStatus, PullPoint, PullPointCreation, PullPointDataStore, QueryCapability, RelationshipResource, Relationships, Resource, ResourceManager, ResourceRouter, ScheduledTermination, ServiceGroup, ServiceGroupRegistration, SetCapability, State, SubscriptionManager, WsResource, WsResourceCapability

All Known Implementing Classes:
  AbstractAdvertisement, AbstractCapability, AbstractManageabilityCapability, AbstractWsResourceCapability, SimpleConfiguration, SimpleCorrelatableProperties, SimpleDescription, SimpleEntry, SimpleGetCapability, SimpleIdentity, SimpleImmediateTermination, SimpleManageabilityCharacteristics, SimpleMetadataExchange, SimpleMetrics, SimpleNotificationConsumer, SimpleNotificationProducer, SimpleOperationalStatus, SimplePullPoint, SimplePullPointCreation, SimplePullPointDataStore, SimpleQueryCapability, SimpleRelationshipResource, SimpleRelationships, SimpleResource, SimpleResourceManager, SimpleResourceRouter, SimpleScheduledTermination, SimpleServiceGroup, SimpleServiceGroupRegistration, SimpleSetCapability, SimpleState, SimpleSubscriptionManager, SimpleWsResource

public interface Initialization

Initialization is a set of operations for components that have a distinct initialization state.

Author:
  Dan Jemiolo (danj)

Method Summary
`boolean` | `hasBeenInitialized()`
`void` | `initialize()`

Method Detail

### hasBeenInitialized

    public boolean hasBeenInitialized()

  Returns:
    True, if the initialize() method has been called and run to completion successfully.

### initialize

    public void initialize()
                    throws SoapFault

  Throws:
    `SoapFault`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD